#include <iostream>
#include <algorithm>

long long solve_n4(int l1, int r1, int l2, int r2);
long long solve_n3(int l1, int r1, int l2, int r2);
long long solve_n2(int l1, int r1, int l2, int r2);
long long solve_n1(int l1, int r1, int l2, int r2);

long long solve(int a, int b, int c, int d) {
    // return solve_n4(a, b, c, d);
    // return solve_n3(a, b, c, d);
    // return solve_n2(a, b, c, d);
    return solve_n1(a, b, c, d);
}

long long solve_n4(int l1, int r1, int l2, int r2) {
    long long tot = r1 - l1 + r2 - l2;
    long long ans = 0;
    for (long long ln1 = l1; ln1 < r1; ln1++) {
        for (long long rn1 = ln1 + 1; rn1 <= r1; rn1++) {
            for (long long ln2 = rn1; ln2 <= l2; ln2++) {
                for (long long rn2 = r2; rn2 <= ln2 + tot; rn2++) {
                    if (rn1 - ln1 + rn2 - ln2 == tot) {
                        ans++;
                    }
                }
            }
        }
    }
    return ans;
}

long long solve_n3(int l1, int r1, int l2, int r2) {
    long long tot = r1 - l1 + r2 - l2;
    long long ans = 0;
    for (long long ln1 = l1; ln1 < r1; ln1++) {
        for (long long rn1 = ln1 + 1; rn1 <= r1; rn1++) {
            for (long long ln2 = rn1; ln2 <= l2; ln2++) {
                long long rn2 = tot - (rn1 - ln1) + ln2;
                if (rn2 >= r2) {
                    ans++;
                }
            }
        }
    }
    return ans;
}

long long solve_n2(int l1, int r1, int l2, int /*r2*/) {
    long long ans = 0;
    for (long long rn1 = l1 + 1; rn1 <= r1; rn1++) {
        for (long long ln2 = rn1; ln2 <= l2; ln2++) {
            long long cur = rn1 - std::max<long long>(l1, rn1 + l2 + l1 - r1 - ln2);
            ans += (cur >= 0) ? cur : 0;
        }
    }
    return ans;
}

long long solve_n1(int l1, int r1, int l2, int /*r2*/) {
    long long ans = 0;
    for (long long rn1 = l1 + 1; rn1 <= r1; rn1++) {
        ans += (rn1 - l1) * (l2 + 1 - std::max(std::max<long long>(rn1, l2 + l1 + 1 - r1), rn1 + l2 - r1));
        long long f = std::max<long long>(rn1, l2 + l1 + 1 - r1);
        long long t = std::min<long long>(rn1 + l2 - r1, l2 + 1);
        ans += (-l2 - l1 - 1 + r1) * (t - f);
        ans += (f + (t + 1)) * (t - f) / 2;
    }
    return ans;
}

int main() {
    std::ios::sync_with_stdio(false);
    std::cin.tie(nullptr);
    int a, b, c, d;
    std::cin >> a >> b >> c >> d;
    std::cout << solve(a, b, c, d) << '\n';

    return 0;
}
